<?php
/*************************************************
               環境変数
**************************************************/
/* 今のところ未使用 */
$is_qooq_list = strcmp( get_template(), 'qooq_list' ) == 0 ? true: false;


/*************************************************

           　　　　　　  基本設定

**************************************************/
/* メニュー有効化 */
register_nav_menus(array(
	'nav-menu'=>'ナビゲーション')
);

/* カスタムヘッダー有効化 */
add_theme_support( 'custom-header', array(
	'width'            => 2000,
	'height'           => 1200,
	'flex-width' => true,
	'flex-height' => true,
	'default-text-color' => '333')
);

/* アイキャッチ画像有効化 */
add_theme_support( 'post-thumbnails' );

/* 中サイズの画像もトリミングする */
update_option('medium_crop',true);

/* 記事タイトル自動出力 */
add_theme_support( 'title-tag' );

/* ワードプレスがはきだすタグをHTML5仕様に */
add_theme_support( 'html5');

/* ヘッダーにフィードへのリンクを追加 */
add_theme_support( 'automatic-feed-links' );

/* 新エディタを使うなら有効に */
//add_theme_support( 'responsive-embeds' );
//add_theme_support( 'wp-block-styles' );

/* 旧エディタ有効化 */
add_filter('use_block_editor_for_post', '__return_false');

/* 記事抜粋の末尾変更 */
function new_excerpt_more($more) {
    return '...';
}
add_filter('excerpt_more', 'new_excerpt_more');

/* ウィジェット有効化 */
register_sidebar( array(
	'name'          => 'サイドバー',
	'id'            => 'side-bar',
	'before_widget' => '<div class="widget">',
	'after_widget'  => '</div>',
	'before_title'  => '<p class="widget-title">',
	'after_title'   => '</p>'
));
register_sidebar( array(
	'name'          => 'フッター1',
	'id'            => 'footer1',
	'before_widget' => '<div class="widget">',
	'after_widget'  => '</div>',
	'before_title'  => '<p class="widget-title">',
	'after_title'   => '</p>'
));
register_sidebar( array(
	'name'          => 'フッター2',
	'id'            => 'footer2',
	'before_widget' => '<div class="widget">',
	'after_widget'  => '</div>',
	'before_title'  => '<p class="widget-title">',
	'after_title'   => '</p>'
));
register_sidebar( array(
	'name'          => 'フッター3',
	'id'            => 'footer3',
	'before_widget' => '<div class="widget">',
	'after_widget'  => '</div>',
	'before_title'  => '<p class="widget-title">',
	'after_title'   => '</p>'
));


/*************************************************

           JS,css読み込み制御

**************************************************/
function qooq_plugin_css_js_control() {
	if( !is_admin() ){
		/* 新エディタを使う場合下記一行は削除してください */
		wp_deregister_style( 'wp-block-library' );
		
		wp_deregister_script( 'jquery' );
		wp_enqueue_script('jquery', 'https://code.jquery.com/jquery-1.12.4.min.js', array(), '1.12.4', true);
	}
}
add_action( 'wp_enqueue_scripts', 'qooq_plugin_css_js_control' );


/*************************************************

            　　　　　 画像トリミング

**************************************************/
function qooq_image_processing($file){
	$image = wp_get_image_editor($file['file']);
	if (! is_wp_error($image)) {
		$change_width = 150;
		
		$size = $image->get_size();
		$height = $size['height'];
		$width = $size['width'];
		
		if($width < $change_width){
			$image->crop(0, 0, $width, $height, $change_width, $height*$change_width/$width, false);
		}
		
		$image->save($file['file']);
	}
	return $file;
}
add_filter('wp_handle_upload', 'qooq_image_processing' );


/*************************************************

             　　画像ファイル名変更

**************************************************/
function rename_mediafile($filename) {
	$info = pathinfo($filename);
	$ext  = empty($info['extension']) ? '' : '.' . $info['extension'];
	if( $info['filename'] != 'sitemap' ){
		$filename = strtolower(time().$ext);
	}
    return $filename;
}
add_filter('sanitize_file_name', 'rename_mediafile', 10);


/*************************************************

            コメント欄制御

**************************************************/
function qooq_comment_tag_disable($data) {
	global $allowedtags;
	$allowedtags = array();
	return $data;
}
add_filter('preprocess_comment', 'qooq_comment_tag_disable');
remove_filter('comment_text', 'make_clickable', 9);


/*************************************************

          ogpなど

**************************************************/
function qooq_meta_ogp(){
	if( is_front_page() || is_home() || is_singular() ){
	global $post;
	$keyword = '';
	$desc = '';
	$ogp_type = '';
	$ogp_title = '';
	$ogp_url = '';
	$ogp_img = '';
	$insert = '';

	if( is_singular() ){
		setup_postdata($post);
		$meta_ary = get_post_custom();
		
		if( is_singular('post') ){
			if( array_key_exists('qooq_meta_keyword', $meta_ary) ){
				$keyword = $meta_ary['qooq_meta_keyword'][0];
			}
			if( array_key_exists('qooq_meta_desc', $meta_ary) ){
				$desc = $meta_ary['qooq_meta_desc'][0];
			}
		}
		
		$ogp_type = 'article';
		$ogp_title = $post->post_title;
		$ogp_url = get_permalink();
		
		if( has_post_thumbnail() ){
			$ps_thumb = wp_get_attachment_image_src( get_post_thumbnail_id(), 'full');
			$ogp_img = $ps_thumb[0];
		}
		
		wp_reset_postdata();
	}else if( is_front_page() || is_home() ){
		$keyword = get_bloginfo('name');
		$desc = get_bloginfo('description');
		$ogp_type = 'website';
		$ogp_title = get_bloginfo('name');
		$ogp_url = home_url();
		
		$ogp_img = get_header_image();
	}

	$insert .= '<meta name="description" content="'.esc_attr($desc).'" />'. "\n";
	$insert .= '<meta name="keywords" content="'.esc_attr($keyword).'" />'. "\n";
	$insert .= '<meta property="og:title" content="'.esc_attr($ogp_title).'" />' . "\n";
	$insert .= '<meta property="og:description" content="'.esc_attr($desc).'" />' . "\n";
	$insert .= '<meta property="og:type" content="'.$ogp_type.'" />' . "\n";
	$insert .= '<meta property="og:url" content="'.esc_url($ogp_url).'" />' . "\n";
	$insert .= '<meta property="og:image" content="'.esc_url($ogp_img).'" />' . "\n";
	$insert .= '<meta property="og:site_name" content="'.esc_attr(get_bloginfo('name')).'" />' . "\n";
	$insert .= '<meta name="twitter:card" content="summary_large_image" />' . "\n";
	$insert .= '<meta property="og:locale" content="ja_JP" />' . "\n";

	echo $insert;
	}
}
add_action('wp_head','qooq_meta_ogp');


/*************************************************
    キーワード&ディスクリプション入力欄
**************************************************/
function add_qooq_meta_fields() {
	add_meta_box( 'qooq_meta_fields', 'SEO設定', 'insert_qooq_meta_fields', 'post', 'normal');
}
add_action('admin_menu', 'add_qooq_meta_fields');

function insert_qooq_meta_fields() {
	global $post;
	echo 'キーワード： <input type="text" name="qooq_meta_keyword" value="'.get_post_meta($post->ID, 'qooq_meta_keyword', true).'" size="50" style="width:100%;margin-bottom:16px" /><br>';
	echo 'ディスクリプション： <textarea name="qooq_meta_desc" row="4" cols="40" style="width:100%" />'.get_post_meta($post->ID, 'qooq_meta_desc', true).'</textarea><br>';
}

function save_qooq_meta_fields( $post_id ) {
	if(!empty($_POST['qooq_meta_keyword'])){
		update_post_meta($post_id, 'qooq_meta_keyword', $_POST['qooq_meta_keyword'] );
	}else{
		delete_post_meta($post_id, 'qooq_meta_keyword');
	}
	if(!empty($_POST['qooq_meta_desc'])){
		update_post_meta($post_id, 'qooq_meta_desc', $_POST['qooq_meta_desc'] );
	}else{
		delete_post_meta($post_id, 'qooq_meta_desc');
	}
}
add_action('save_post', 'save_qooq_meta_fields');

/*************************************************
      オリジナル設定
**************************************************/
function qooq_sanitize_checkbox( $input ){
	if( isset( $input ) && $input == true ){
		return true;
	}else{
		return false;
	}
}

$qooq_params = array(
	'color' => array(
		'fontColor'     => array('文字色',                     '#333333'),
		'fontLink'      => array('リンク色',                   '#779cff'),
		'fontLight'     => array('うす文字色',                 '#999999'),
		'brandColor'    => array('ブランドカラー',             '#aeddcd'),
		'brandFont'     => array('ブランドカラーの文字色',     '#ffffff'),
		'brandSubColor' => array('ブランドサブカラー',         '#ff9d76'),
		'brandSubFont'  => array('ブランドサブカラーの文字色', '#ffffff'),
		'otherTopBack'  => array('最背景色',                   '#f6f5f5'),
		'otherBack'     => array('コンテンツの背景色',         '#ffffff'),
		'otherBorder'   => array('関連記事などのうすい枠線',   '#eeeeee'),
	),
	
	'checkbox' => array(
		'bread' => array('パンくずリスト', true),
		'page'  => array('ページ番号',     true),
		'mrp'   => array('関連記事',       true),
	),
	
	'text' => array(
		'analytics'      => array('アナリティクスのトラッキングID',    ''),
		'search_console' => array('サーチコンソールHTMLタグ（※content="〇〇"）',  ''),
	),
);

function theme_customize_register($wp_customize){
	global $qooq_params;
	
	$section = 'colors';
	$color = $qooq_params['color'];
	$check = $qooq_params['checkbox'];
	$text  = $qooq_params['text'];
	
	$wp_customize->remove_control('header_textcolor');
	
	foreach($color as $key => $value){
		$ele = "qooq_options[$key]";
		
		$wp_customize->add_setting( $ele , array(
			'default'   => "$value[1]",
			'type'      => 'option',
			'transport' => 'refresh',
			'sanitize_callback' => 'sanitize_hex_color',
		));
		$wp_customize->add_control( new WP_Customize_Color_Control(
			$wp_customize, $ele, array(
				'settings' => $ele,
				'label'    => $value[0],
				'section'  => $section,
			)
		));
	}
	
	$wp_customize->add_section( 'qooq_custom' , array(
		'title' => "各種設定",
		'priority'   => 30,
	));
	
	foreach($check as $key => $value){
		$ele = "qooq_options[$key]";
		
		$wp_customize->add_setting( $ele , array(
			'default'   => "$value[1]",
			'type'      => 'option',
			'transport' => 'postMessage',
			'sanitize_callback' => 'qooq_sanitize_checkbox',
		));
		$wp_customize->add_control( "qooq_$key" , array(
			'settings' => $ele,
			'label'    => $value[0],
			'section'  => 'qooq_custom',
			'type'     => 'checkbox',
		));
	}
	
	foreach($text as $key => $value){
		$ele = "qooq_options[$key]";
		
		$wp_customize->add_setting( $ele , array(
			'default'   => "",
			'type'      => 'option',
			'transport' => 'postMessage',
			'sanitize_callback' => 'sanitize_text_field',
		));
		$wp_customize->add_control( "qooq_$key" , array(
			'settings' => $ele,
			'label'    => $value[0],
			'section'  => 'qooq_custom',
			'type'     => 'text',
		));
	}
	
}
add_action( 'customize_register', 'theme_customize_register' );

function theme_customize_css(){
	global $qooq_params;
	
// オプション変数GET
	$opt = get_option('qooq_options', false);
	
// 未保存のオプションがあるなら初期値で上書き
	if( $opt !== false ){
		foreach( $qooq_params as $p_key => &$p_value ){
			foreach( $p_value as $key => &$value )
			if( array_key_exists( $key, $opt) ){
				$value[1] = esc_html( $opt[ $key ] );
			}
		}
	}
	
// 機能読み込み
	if( $qooq_params['checkbox']['bread'][1] ){
		require_once("qooq_breadcrumb.php");
	}
	if( $qooq_params['checkbox']['page'][1] ){
		require_once("qooq_pagination.php");
	}
	
// 色設定
	require_once("qooq_color.php");
	qooq_color($qooq_params['color']);
	
// アナリティクス&サーチコンソール
	if( !is_user_logged_in() &&
		!empty($qooq_params['text']['analytics'][1]) ){
		echo "<script>" .
"(function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){" .
"(i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o)," .
"m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)" .
"})(window,document,'script','https://www.google-analytics.com/analytics.js','ga');" .
"ga('create', '" . $qooq_params['text']['analytics'][1] . "', 'auto');" .
"ga('send', 'pageview');" .
"</script>\n";
	}
	
	if( !empty($qooq_params['text']['search_console'][1]) ){
		echo '<meta name="google-site-verification" content="' . $qooq_params['text']['search_console'][1] . '" />' . "\n";
	}
}
add_action( 'wp_head', 'theme_customize_css');

?>
