<!DOCTYPE html>
<html lang="ja">
	<head>
		<meta charset="utf-8">
		<meta http-equiv="X-UA-Compatible" content="IE=edge">
		<meta name="viewport" content="width=device-width,initial-scale=1.0,minimum-scale=1.0" />
		
		<!-- css -->
		<link href="<?php echo get_template_directory_uri(); ?>/css/reset.css" rel="stylesheet">
		<link href="<?php echo get_template_directory_uri(); ?>/style.css" rel="stylesheet">
		
		<!-- for wordpress -->
		<?php wp_head(); ?>
	</head>
	<body <?php body_class(); ?>>
		
		<!-- ▼▼メニュー -->
		<nav id='navigation'>
			<div class='container'>
				<label for='navigation-button' id='navigation-label'>=</label>
				<input id='navigation-button' type='checkbox'>
				<div id='navigation-content'>
					<ul class="navigation-list">
						<?php wp_nav_menu(array('theme_location'=>'nav-menu', 'container'=>false)); ?>
					</ul>
				</div>
			</div>
		</nav>
		<!-- ▲▲メニュー -->
		
		<!-- ▼▼ヘッダー -->
		<header id="header">
<?php if( get_header_image() ): ?>
			<img id="header-img" src="<?php header_image(); ?>" height="<?php echo get_custom_header()->height; ?>" width="<?php echo get_custom_header()->width; ?>" alt="<?php bloginfo( 'name' ); ?>">
<?php endif; ?>
<?php if( display_header_text() ): ?>
			<div class="container">
				<div id="header-inner">
	<?php if(is_front_page()): ?>
					<h1 id="header-title"><a href="<?php echo(home_url()); ?>" title="<?php bloginfo( 'name' ); ?>"><?php bloginfo( 'name' ); ?></a></h1>
	<?php else: ?>
					<p id="header-title"><a href="<?php echo(home_url()); ?>" title="<?php bloginfo( 'name' ); ?>"><?php bloginfo( 'name' ); ?></a></p>
	<?php endif; ?>
					<p id="header-text"><?php bloginfo('description'); ?></p>
				</div>
			</div>
<?php endif; ?>
		</header>
		<!-- ▲▲ヘッダー -->